.dropdown-tooltip {
    position: relative;
    display: inline-block;
}

.dropbtn {
    font-size: 24px;
    line-height: 1;
    cursor: pointer;
    padding: 0 5px;
    display: inline-block;
}

.dropdown-tooltip .dropdown-content {
    display: none;
    position: absolute;
    right: 100%;
    top: 50%;
    transform: translateY(-50%);
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 8px 0;
    min-width: 120px;
    z-index: 1000;
    box-shadow: 0px 2px 8px rgba(0,0,0,0.15);
    border-radius: 4px;
}

.dropdown-tooltip:hover .dropdown-content {
    display: block;
}

.dropdown-content a {
    display: block;
    padding: 5px 12px;
    text-decoration: none;
    color: #000;
    white-space: nowrap;
}

    .dropdown-content a:hover {
        background-color: #f0f0f0;
    }

.top-card {
    position: sticky;
    top: 0;
}

.nav-item > nav-link.active {
    color: orange !important;
}

.nav-link .active {
    background-color: red !important;
}

.state-select {
    min-width: 140px !important;
}

.readonly-white-bg[readonly] {
    background-color: #ffffff;
    opacity: 1;
}

/* Dashboard Reset Sorting */

.icon-stack {
    position: relative;
    display: inline-block;
    width: 2em;
}

    .icon-stack .fa-sort-amount-down {
        position: absolute;
        top: 0.3em;
        left: 0;
    }

    .icon-stack .fa-times {
        position: absolute;
        top: 0;
        right: 0.2em;
        font-size: 1.1em;
    }

/** DataTable Loading **/

.dataTables_processing {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 10000;
}

    .dataTables_processing .spinner {
        border: 8px solid #f3f3f3;
        border-top: 8px solid #3498db;
        border-radius: 50%;
        width: 60px;
        height: 60px;
        animation: spin 2s linear infinite;
    }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/** Django-related improvements to AdminLTE UI **/
.delivered {
    /* Double-sized Checkboxes */
    -ms-transform: scale(2); /* IE */
    -moz-transform: scale(2); /* FF */
    -webkit-transform: scale(2); /* Safari and Chrome */
    -o-transform: scale(2); /* Opera */
    transform: scale(2);
    margin-left: 6px !important;
}

/* Autocomplete Subscription Address dropdown option custom CSS*/

.field-active_months .select2-container.select2-container--default {
    width: 90% !important;
}

.field-pilgrim_routes .select2-container.select2-container--default {
    width: 90% !important;
}

.field-weekly_rest_day .select2-container.select2-container--default {
    width: 90% !important;
}

.field-owner > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-pickup_address > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-delivery_address > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-subscription > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-route > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-city_name > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-pickup_delivery_point > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.field-weekly_rest_day > .related-widget-wrapper > span.select2-container--admin-autocomplete {
    height: 40px;
    padding-top: 3px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

#id_pilgrim_routes + .select2 .select2-selection.select2-selection--multiple {
    display: flex;
}

.select2-selection__choice {
    background-color: gray;
}

.select2 .select2-selection__choice__remove {
    color: white !important;
    font-weight: bold;
    cursor: pointer;
    transition: color 0.2s ease;
}

    .select2 .select2-selection__choice__remove:hover {
        background-color: lightgray !important;
    }

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: darkgray !important;
    padding: 0 5px !important;
}

.select2-results__option--highlighted {
    background-color: #007bff !important;
    color: white !important;
}

.select2-container--admin-autocomplete .select2-search--dropdown .select2-search__field {
    border: 1px solid #495057;
    border-radius: 4px;
}

/* End Autocomplete Subscription Address dropdown option custom CSS*/

div.inline-related {
    padding: 10px;
}

.form-row {
    padding: 5px;
}

.help-block ul {
    margin: 10px 0 0 15px;
    padding: 0;
}

.table tr.form-row {
    display: table-row;
}

.table td.action-checkbox {
    width: 45px;
}

.empty-form {
    display: none !important;
}

.inline-related .tabular {
    background-color: white;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

td.djn-td,
th.djn-th {
    padding: 10px;
}

td.delete input {
    margin: 10px;
}

tr.djn-tr > .original {
    padding-left: 20px;
}

.hidden {
    display: none;
}

/* Checkbox selection table header */
.djn-checkbox-select-all {
    padding-right: 0 !important;
    width: 0;
}

.object-tools {
    padding: 0;
}

    .object-tools li {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .object-tools .historylink {
        background-color: #3c8dbc;
        width: 100%;
        display: block;
        padding: 5px;
        text-align: center;
        color: white;
    }

.jazzmin-avatar {
    font-size: 20px;
}

.related-widget-wrapper-link {
    padding: 7px;
}

.related-widget-wrapper select {
    width: initial;
    /* Setting a width will make the *-related btns overflow */
    height: auto;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.arrow-btn {
    padding-top: 0;
    padding-bottom: 0;
}

.narrow {
    cursor: move;
    cursor: -webkit-grab;
    cursor: -moz-grab;
}

.description-container {
    font-size: 14px;
}

.mobile-screen {
    display: none;
}

@media only screen and (max-width: 768px) {
    .normal-screen {
        display: none;
    }

    .mobile-screen {
        display: block;
    }
}

.tab-pane {
    overflow-x: auto;
}

table.dataTable thead .sorting::after,
table.dataTable thead .sorting_asc::after,
table.dataTable thead .sorting_desc::after,
table.dataTable thead .sorting_asc_disabled::after,
table.dataTable thead .sorting_desc_disabled::after {
    right: 0.5em;
    content: "\2193";
}

.select2-container .select2-selection--single {
    min-height: 40px;
    padding-top: 5px;
}

.select2-results__option {
    color: black;
}

#changelist-search .form-group {
    margin-right: .5em;
}

.table tbody tr th {
    padding-left: .75rem;
}

.user-profile {
    font-size: 2.4em;
}

.date-hierarchy {
    margin-right: 8px;
    display: block;
}

/* APP.CSS */

.form-group div .vTextField,
.form-group div .vLargeTextField,
.form-group div .vURLField,
.form-group div .vBigIntegerField,
.form-group div.field-duration input[type="text"],
.form-group div.field-identifier input[type="text"],
.form-group div.field-generic_ip_address input[type="text"],
.form-group .field-null_boolean select,
.form-group .field-file_path select {
    display: block;
    width: 100%;
}

.vTextField,
.vLargeTextField,
.vURLField,
.vIntegerField,
.vBigIntegerField,
.vForeignKeyRawIdAdminField,
.vDateField,
.vTimeField,
.field-float input[type="number"],
.field-decimal input[type="number"],
.field-time input[type="text"],
.field-duration input[type="text"],
.field-identifier input[type="text"],
.field-generic_ip_address input[type="text"],
.field-null_boolean select,
.field-file_path select {
    height: calc(2.25rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.vDateField,
.vTimeField {
    margin-bottom: 5px;
    display: inline-block;
}

.vLargeTextField {
    height: auto;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
}

.date-icon:before,
.clock-icon:before {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome !important;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    content: "\f073";
}

.clock-icon:before {
    content: "\f017";
}

/* CALENDARS & CLOCKS */

.calendarbox,
.clockbox {
    margin: 5px auto;
    font-size: 12px;
    width: 19em;
    text-align: center;
    background: white;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
    overflow: hidden;
    position: relative;
}

.clockbox {
    width: auto;
}

.calendar {
    margin: 0;
    padding: 0;
}

    .calendar table {
        margin: 0;
        padding: 0;
        border-collapse: collapse;
        background: white;
        width: 100%;
    }

    .calendar caption,
    .calendarbox h2,
    .clockbox h2 {
        margin: 0;
        text-align: center;
        border-top: none;
        background: #f5dd5d;
        font-weight: 700;
        font-size: 12px;
        color: #333;
    }

.clockbox h2 {
    font-size: 16px;
    padding: 5px;
}

.calendar th {
    padding: 8px 5px;
    background: #f8f8f8;
    border-bottom: 1px solid #ddd;
    font-weight: 400;
    font-size: 12px;
    text-align: center;
    color: #666;
}

.calendar td {
    font-weight: 400;
    font-size: 12px;
    text-align: center;
    padding: 0;
    border-top: 1px solid #eee;
    border-bottom: none;
}

    .calendar td.selected a {
        background: #3C8DBC;
        color: #fff !important;
    }

    .calendar td.nonday {
        background: #f8f8f8;
    }

    .calendar td.today a {
        font-weight: 700;
    }

    .calendar td a,
    .timelist a {
        display: block;
        font-weight: 400;
        padding: 6px;
        text-decoration: none;
        color: #444;
    }

        .calendar td a:focus,
        .timelist a:focus,
        .calendar td a:hover,
        .timelist a:hover {
            background: #3C8DBC;
            color: white;
        }

        .calendar td a:active,
        .timelist a:active {
            background: #3C8DBC;
            color: white;
        }

.calendarnav {
    font-size: 10px;
    text-align: center;
    color: #ccc;
    margin: 0;
    padding: 1px 3px;
}

    .calendarnav a:link,
    #calendarnav a:visited,
    #calendarnav a:focus,
    #calendarnav a:hover {
        color: #999;
    }

.calendar-shortcuts {
    background: white;
    font-size: 11px;
    line-height: 11px;
    border-top: 1px solid #eee;
    padding: 8px 0;
    color: #ccc;
}

.calendarbox .calendarnav-previous,
.calendarbox .calendarnav-next {
    display: block;
    position: absolute;
    top: 8px;
    width: 15px;
    height: 15px;
    text-indent: -9999px;
    padding: 0;
}

.calendarnav-previous {
    left: 10px;
    background: url(../img/calendar-icons.svg) 0 0 no-repeat;
}

.calendarbox .calendarnav-previous:focus,
.calendarbox .calendarnav-previous:hover {
    background-position: 0 -15px;
}

.calendarnav-next {
    right: 10px;
    background: url(../img/calendar-icons.svg) 0 -30px no-repeat;
}

.calendarbox .calendarnav-next:focus,
.calendarbox .calendarnav-next:hover {
    background-position: 0 -45px;
}

.calendar-cancel {
    margin: 0;
    padding: 4px 0;
    font-size: 12px;
    background: #eee;
    border-top: 1px solid #ddd;
    color: #333;
}

    .calendar-cancel:focus,
    .calendar-cancel:hover {
        background: #ddd;
    }

    .calendar-cancel a {
        color: black;
        display: block;
    }

/* Selectors - This needs some work TODO */

.selector {
    width: 100%;
    float: left;
}

    .selector select {
        width: 100%;
        height: 15em;
    }

.selector-available,
.selector-chosen {
    float: left;
    width: 48%;
    text-align: center;
    margin-bottom: 5px;
}

    .selector-chosen select {
        border-top: none;
    }

    .selector-available h2,
    .selector-chosen h2 {
        border: 1px solid #ccc;
        font-size: 16px;
        padding: 5px;
    }

    .selector-chosen h2 {
        background: #3C8DBC;
        color: #fff;
    }

.selector .selector-available h2 {
    background: #f8f8f8;
    color: #666;
}

.selector .selector-filter {
    background: white;
    border: 1px solid #ccc;
    padding: 8px;
    color: #999;
    font-size: 10px;
    margin: 0;
    text-align: left;
}

.selector-filter input {
    height: 24px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    border: 1px solid #ccc;
    margin-left: 0 !important;
}

.selector .selector-filter label,
.inline-group .aligned .selector .selector-filter label {
    float: left;
    margin: 0;
    width: 18px;
    height: 18px;
    padding: 0;
    overflow: hidden;
    line-height: 1;
}

/* Might need to import more rules from:
 * https://github.com/django/django/blob/master/django/contrib/admin/static/admin/css/responsive.css
 */
.inline-group {
    overflow: auto;
}

.selector .selector-available input {
    width: 100%;
    margin-left: 8px;
}

.selector ul.selector-chooser {
    float: left;
    width: 4%;
    background-color: #eee;
    border-radius: 10px;
    margin: 10em 0 0;
    padding: 0;
}

.selector-chooser li {
    margin: 0;
    padding: 3px;
    list-style-type: none;
}

.selector select {
    padding: 0 10px;
    margin: 0 0 10px;
    /*border-radius: 0 0 4px 4px;*/
    ;
}

.selector-add,
.selector-remove {
    height: 16px;
    display: block;
    text-indent: -3000px;
    overflow: hidden;
    cursor: default;
    opacity: 0.3;
}

.active.selector-add,
.active.selector-remove {
    opacity: 1;
}

    .active.selector-add:hover,
    .active.selector-remove:hover {
        cursor: pointer;
    }

.selector-add {
    background: url(../img/selector-icons.svg) 0 -96px no-repeat;
}

.active.selector-add:focus,
.active.selector-add:hover {
    background-position: 0 -112px;
}

.selector-remove {
    background: url(../img/selector-icons.svg) 0 -64px no-repeat;
}

.active.selector-remove:focus,
.active.selector-remove:hover {
    background-position: 0 -80px;
}

a.selector-chooseall,
a.selector-clearall {
    display: inline-block;
    height: 16px;
    text-align: left;
    margin: 1px auto 3px;
    overflow: hidden;
    font-weight: bold;
    line-height: 16px;
    color: #666;
    text-decoration: none;
    opacity: 0.3;
}

a.active.selector-chooseall:focus,
a.active.selector-clearall:focus,
a.active.selector-chooseall:hover,
a.active.selector-clearall:hover {
    color: #447e9b;
}

a.active.selector-chooseall,
a.active.selector-clearall {
    opacity: 1;
}

    a.active.selector-chooseall:hover,
    a.active.selector-clearall:hover {
        cursor: pointer;
    }

a.selector-chooseall {
    padding: 0 18px 0 0;
    background: url(../img/selector-icons.svg) right -160px no-repeat;
    cursor: default;
}

a.active.selector-chooseall:focus,
a.active.selector-chooseall:hover {
    background-position: 100% -176px;
}

a.selector-clearall {
    padding: 0 0 0 18px;
    background: url(../img/selector-icons.svg) 0 -128px no-repeat;
    cursor: default;
}

a.active.selector-clearall:focus,
a.active.selector-clearall:hover {
    background-position: 0 -144px;
}

.selector .search-label-icon {
    height: 0;
}

#user_form input[type="password"] {
    width: 100%;
}

.control-label {
    margin-top: 7px;
}

.help-block,
.timezonewarning {
    font-size: .8em;
    color: #859099;
    font-style: italic;
}

.dashboard tbody tr:first-child td {
    border-top: none;
}

.vTimeField,
.vDateField {
    min-width: 120px;
}

.date-icon::before,
.clock-icon::before {
    font-family: "Font Awesome 5 Free" !important;
}

.timelist li {
    list-style-type: none;
}

.timelist {
    margin: 0;
    padding: 0;
}

body.no-sidebar .content-wrapper,
body.no-sidebar .main-footer,
body.no-sidebar .main-header {
    margin-left: 0;
}

.vCheckboxLabel.inline {
    vertical-align: top;
    color: red;
    margin-bottom: 0;
}

.inline-related .card-header > span {
    float: right;
}

.ui-customiser .menu-items div {
    width: 40px;
    height: 20px;
    border-radius: 25px;
    margin-right: 10px;
    margin-bottom: 10px;
    opacity: 0.8;
    cursor: pointer;
}

.ui-customiser select {
    width: 100%;
    height: auto;
    padding: 6px 2px;
}

.control-sidebar-content label {
    vertical-align: top;
}

.ui-customiser .menu-items div.inactive {
    opacity: 0.3;
}

.ui-customiser .menu-items div.active {
    opacity: 1;
    border: 1px solid white;
}

.timeline-item {
    word-break: break-word;
}

.navbar-nav .brand-link {
    padding-top: 3px;
}

.breadcrumb {
    margin-top: 5px;
}

.login-box,
.register-box {
    width: auto;
    max-width: 450px;
}

#jazzy-collapsible .collapsible-header:hover {
    background: #007bff;
    color: white;
}

#jazzy-collapsible .collapsible-header {
    cursor: pointer;
}

#jazzy-carousel .carousel-indicators li {
    background-color: #007bfe;
}

#jazzy-carousel .carousel-indicators {
    position: initial;
}

form ul.radiolist li {
    list-style-type: none;
}

form ul.radiolist label {
    float: none;
    display: inline;
}

form ul.radiolist input[type="radio"] {
    margin: -2px 4px 0 0;
    padding: 0;
}

form ul.inline {
    margin-left: 0;
    padding: 0;
}

    form ul.inline li {
        float: left;
        padding-right: 7px;
    }

.content-wrapper {
    background: inherit;
}

.main-footer {
    background: inherit;
}

#jazzy-actions.sticky-top {
    top: 10px;
}

body.layout-navbar-fixed #jazzy-actions.sticky-top {
    top: 67px;
}

/* stacked inlines */
a.inline-deletelink:hover {
    background-color: #c82333;
    border-color: #bd2130;
}

a.inline-deletelink {
    float: right;
    padding: 3px 5px;
    margin: 10px;
    background-color: #dc3545;
    border-radius: .25rem;
    color: white !important;
    border: 1px solid #dc3545;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
/* end stacked inlines */

/* Support for django-mptt */
#result_list .field-tree_actions {
    width: calc(40px + 2.25rem);
}

    #result_list .field-tree_actions > div {
        margin-top: 0;
    }
/* End support for django-mptt */

/* modal tweaks */
.modal.modal-wide .modal-dialog {
    width: 50%;
    max-width: inherit;
}

.modal-wide .modal-body {
    overflow-y: auto;
}

iframe.related-iframe {
    width: 100%;
    height: 450px;
}

/* Blur background when using modal */
.modal-open .wrapper {
    -webkit-filter: blur(1px);
    -moz-filter: blur(1px);
    -o-filter: blur(1px);
    -ms-filter: blur(1px);
    filter: blur(1px);
}
/* end modal tweaks */

.control-sidebar {
    overflow: hidden scroll;
}

/* tweaks to allow bootstrap styling */
body.jazzmin-login-page {
    -ms-flex-align: center;
    align-items: center;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    -ms-flex-pack: center;
    justify-content: center;
}

body.jazzmin-register-page {
    -ms-flex-align: center;
    align-items: center;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    -ms-flex-pack: center;
    justify-content: center;
}

.callout {
    color: black;
}

/* switch button */

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #28a745;
}

input:focus + .slider {
    box-shadow: 0 0 1px #28a745;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }

/*Datatable expander*/
.inline-header {
    background-color: lightgray !important;
}

td.details-control {
    background: url('../img/details_open.png') no-repeat center center;
    background-size: 30px 30px;
    cursor: pointer;
    padding: 15px;
}

tr.shown td.details-control {
    background: url('../img/details_close.png') no-repeat center center;
    background-size: 30px 30px;
}

.datatable-inline-table {
    table-layout: fixed;
    width: 100%;
    padding-left: 10px;
}

    .datatable-inline-table > tbody > tr > td:first-child {
        width: 18% !important;
    }

/* loading spinner */

.spinner.loading {
    display: inline-grid;
    left: 50% !important;
    position: relative;
    padding: 11px !important;
}

    .spinner.loading:before {
        content: "";
        height: 45px;
        width: 45px;
        margin: -15px auto auto -15px;
        position: absolute;
        border-width: 8px;
        border-style: solid;
        border-color: #2180c0 #ccc #ccc;
        border-radius: 100%;
        animation: rotation .7s infinite linear;
    }

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(359deg);
    }
}

/*
@media screen and (max-width: 767px) {
    div.dataTables_info {
        white-space: pre-wrap !important;
    }
}
*/

@media only screen and (max-width: 600px) {
    td.details-control {
        padding: 30px !important;
    }

    .field-pickup_address > .related-widget-wrapper > span.select2-container--admin-autocomplete {
        max-width: 215px !important;
    }

    .field-delivery_address > .related-widget-wrapper > span.select2-container--admin-autocomplete {
        max-width: 215px !important;
    }

    .field-subscription > .related-widget-wrapper > span.select2-container--admin-autocomplete {
        max-width: 215px !important;
    }

    .field-active_months > .related-widget-wrapper > span.select2-container--admin-autocomplete {
        max-width: 215px !important;
    }

    .field-pilgrim_routes > .related-widget-wrapper > span.select2-container--admin-autocomplete {
        max-width: 215px !important;
    }
}
